<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net10.0</TargetFramework>
    <TypeScriptCompileBlocked>true</TypeScriptCompileBlocked>
    <TypeScriptToolsVersion>Latest</TypeScriptToolsVersion>
    <IsPackable>false</IsPackable>
    <SpaRoot>ClientApp\</SpaRoot>
    <DefaultItemExcludes>$(DefaultItemExcludes);$(SpaRoot)node_modules\**</DefaultItemExcludes>

    <!-- Set this to true if you enable server-side prerendering -->
    <BuildServerSideRenderer>false</BuildServerSideRenderer>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.AspNetCore.SpaServices.Extensions" Version="10.0.8" />
    <PackageReference Include="Microsoft.TypeScript.MSBuild" Version="6.0.3">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
  </ItemGroup>

  <ItemGroup>
     <None Include="$(SpaRoot)**" Exclude="$(SpaRoot)node_modules\**" />
  </ItemGroup>

  <ItemGroup>
    <Compile Remove="ClientApp\.angular\**" />
    <Compile Remove="ClientApp\src\app\advances\**" />
    <Compile Remove="ClientApp\src\app\aitvatrates\**" />
    <Compile Remove="ClientApp\src\app\archivepoinvs\**" />
    <Compile Remove="ClientApp\src\app\atntrans\**" />
    <Compile Remove="ClientApp\src\app\authentications\**" />
    <Compile Remove="ClientApp\src\app\authorizations\**" />
    <Compile Remove="ClientApp\src\app\bankbranches\**" />
    <Compile Remove="ClientApp\src\app\brands\**" />
    <Compile Remove="ClientApp\src\app\cashpurchase\**" />
    <Compile Remove="ClientApp\src\app\changemytheme\**" />
    <Compile Remove="ClientApp\src\app\changepwd\**" />
    <Compile Remove="ClientApp\src\app\channelhierarchies\**" />
    <Compile Remove="ClientApp\src\app\chartofaccounts\**" />
    <Compile Remove="ClientApp\src\app\clients\**" />
    <Compile Remove="ClientApp\src\app\customercredit\**" />
    <Compile Remove="ClientApp\src\app\customers\**" />
    <Compile Remove="ClientApp\src\app\customertrans\**" />
    <Compile Remove="ClientApp\src\app\dashboard\**" />
    <Compile Remove="ClientApp\src\app\deactivations\**" />
    <Compile Remove="ClientApp\src\app\employees\**" />
    <Compile Remove="ClientApp\src\app\extnlproducts\**" />
    <Compile Remove="ClientApp\src\app\faitems\**" />
    <Compile Remove="ClientApp\src\app\faprocess\**" />
    <Compile Remove="ClientApp\src\app\fatrans\**" />
    <Compile Remove="ClientApp\src\app\glcodes\**" />
    <Compile Remove="ClientApp\src\app\gltrans\**" />
    <Compile Remove="ClientApp\src\app\glvouchers\**" />
    <Compile Remove="ClientApp\src\app\groups\**" />
    <Compile Remove="ClientApp\src\app\holidaycalendar\**" />
    <Compile Remove="ClientApp\src\app\invoices\**" />
    <Compile Remove="ClientApp\src\app\ipmacaddresses\**" />
    <Compile Remove="ClientApp\src\app\labelsetting\**" />
    <Compile Remove="ClientApp\src\app\locations\**" />
    <Compile Remove="ClientApp\src\app\lookupdata\**" />
    <Compile Remove="ClientApp\src\app\markethierarchies\**" />
    <Compile Remove="ClientApp\src\app\mytasks\**" />
    <Compile Remove="ClientApp\src\app\payments\**" />
    <Compile Remove="ClientApp\src\app\pendingauth\**" />
    <Compile Remove="ClientApp\src\app\priorities\**" />
    <Compile Remove="ClientApp\src\app\prodhierarchies\**" />
    <Compile Remove="ClientApp\src\app\products\**" />
    <Compile Remove="ClientApp\src\app\projects\**" />
    <Compile Remove="ClientApp\src\app\purchaseorders\**" />
    <Compile Remove="ClientApp\src\app\purchaserequisitions\**" />
    <Compile Remove="ClientApp\src\app\ramadancalendar\**" />
    <Compile Remove="ClientApp\src\app\reports\**" />
    <Compile Remove="ClientApp\src\app\salesofficers\**" />
    <Compile Remove="ClientApp\src\app\salesorders\**" />
    <Compile Remove="ClientApp\src\app\salespoints\**" />
    <Compile Remove="ClientApp\src\app\salespromotions\**" />
    <Content Remove="ClientApp\.angular\**" />
    <Content Remove="ClientApp\e2e\**" />
    <Content Remove="ClientApp\src\app\advances\**" />
    <Content Remove="ClientApp\src\app\aitvatrates\**" />
    <Content Remove="ClientApp\src\app\archivepoinvs\**" />
    <Content Remove="ClientApp\src\app\atntrans\**" />
    <Content Remove="ClientApp\src\app\authentications\**" />
    <Content Remove="ClientApp\src\app\authorizations\**" />
    <Content Remove="ClientApp\src\app\bankbranches\**" />
    <Content Remove="ClientApp\src\app\brands\**" />
    <Content Remove="ClientApp\src\app\cashpurchase\**" />
    <Content Remove="ClientApp\src\app\changemytheme\**" />
    <Content Remove="ClientApp\src\app\changepwd\**" />
    <Content Remove="ClientApp\src\app\channelhierarchies\**" />
    <Content Remove="ClientApp\src\app\chartofaccounts\**" />
    <Content Remove="ClientApp\src\app\clients\**" />
    <Content Remove="ClientApp\src\app\customercredit\**" />
    <Content Remove="ClientApp\src\app\customers\**" />
    <Content Remove="ClientApp\src\app\customertrans\**" />
    <Content Remove="ClientApp\src\app\dashboard\**" />
    <Content Remove="ClientApp\src\app\deactivations\**" />
    <Content Remove="ClientApp\src\app\employees\**" />
    <Content Remove="ClientApp\src\app\extnlproducts\**" />
    <Content Remove="ClientApp\src\app\faitems\**" />
    <Content Remove="ClientApp\src\app\faprocess\**" />
    <Content Remove="ClientApp\src\app\fatrans\**" />
    <Content Remove="ClientApp\src\app\glcodes\**" />
    <Content Remove="ClientApp\src\app\gltrans\**" />
    <Content Remove="ClientApp\src\app\glvouchers\**" />
    <Content Remove="ClientApp\src\app\groups\**" />
    <Content Remove="ClientApp\src\app\holidaycalendar\**" />
    <Content Remove="ClientApp\src\app\invoices\**" />
    <Content Remove="ClientApp\src\app\ipmacaddresses\**" />
    <Content Remove="ClientApp\src\app\labelsetting\**" />
    <Content Remove="ClientApp\src\app\locations\**" />
    <Content Remove="ClientApp\src\app\lookupdata\**" />
    <Content Remove="ClientApp\src\app\markethierarchies\**" />
    <Content Remove="ClientApp\src\app\mytasks\**" />
    <Content Remove="ClientApp\src\app\payments\**" />
    <Content Remove="ClientApp\src\app\pendingauth\**" />
    <Content Remove="ClientApp\src\app\priorities\**" />
    <Content Remove="ClientApp\src\app\prodhierarchies\**" />
    <Content Remove="ClientApp\src\app\products\**" />
    <Content Remove="ClientApp\src\app\projects\**" />
    <Content Remove="ClientApp\src\app\purchaseorders\**" />
    <Content Remove="ClientApp\src\app\purchaserequisitions\**" />
    <Content Remove="ClientApp\src\app\ramadancalendar\**" />
    <Content Remove="ClientApp\src\app\reports\**" />
    <Content Remove="ClientApp\src\app\salesofficers\**" />
    <Content Remove="ClientApp\src\app\salesorders\**" />
    <Content Remove="ClientApp\src\app\salespoints\**" />
    <Content Remove="ClientApp\src\app\salespromotions\**" />
    <Content Remove="ClientApp\src\assets\scandoxs\**" />
    <EmbeddedResource Remove="ClientApp\.angular\**" />
    <EmbeddedResource Remove="ClientApp\src\app\advances\**" />
    <EmbeddedResource Remove="ClientApp\src\app\aitvatrates\**" />
    <EmbeddedResource Remove="ClientApp\src\app\archivepoinvs\**" />
    <EmbeddedResource Remove="ClientApp\src\app\atntrans\**" />
    <EmbeddedResource Remove="ClientApp\src\app\authentications\**" />
    <EmbeddedResource Remove="ClientApp\src\app\authorizations\**" />
    <EmbeddedResource Remove="ClientApp\src\app\bankbranches\**" />
    <EmbeddedResource Remove="ClientApp\src\app\brands\**" />
    <EmbeddedResource Remove="ClientApp\src\app\cashpurchase\**" />
    <EmbeddedResource Remove="ClientApp\src\app\changemytheme\**" />
    <EmbeddedResource Remove="ClientApp\src\app\changepwd\**" />
    <EmbeddedResource Remove="ClientApp\src\app\channelhierarchies\**" />
    <EmbeddedResource Remove="ClientApp\src\app\chartofaccounts\**" />
    <EmbeddedResource Remove="ClientApp\src\app\clients\**" />
    <EmbeddedResource Remove="ClientApp\src\app\customercredit\**" />
    <EmbeddedResource Remove="ClientApp\src\app\customers\**" />
    <EmbeddedResource Remove="ClientApp\src\app\customertrans\**" />
    <EmbeddedResource Remove="ClientApp\src\app\dashboard\**" />
    <EmbeddedResource Remove="ClientApp\src\app\deactivations\**" />
    <EmbeddedResource Remove="ClientApp\src\app\employees\**" />
    <EmbeddedResource Remove="ClientApp\src\app\extnlproducts\**" />
    <EmbeddedResource Remove="ClientApp\src\app\faitems\**" />
    <EmbeddedResource Remove="ClientApp\src\app\faprocess\**" />
    <EmbeddedResource Remove="ClientApp\src\app\fatrans\**" />
    <EmbeddedResource Remove="ClientApp\src\app\glcodes\**" />
    <EmbeddedResource Remove="ClientApp\src\app\gltrans\**" />
    <EmbeddedResource Remove="ClientApp\src\app\glvouchers\**" />
    <EmbeddedResource Remove="ClientApp\src\app\groups\**" />
    <EmbeddedResource Remove="ClientApp\src\app\holidaycalendar\**" />
    <EmbeddedResource Remove="ClientApp\src\app\invoices\**" />
    <EmbeddedResource Remove="ClientApp\src\app\ipmacaddresses\**" />
    <EmbeddedResource Remove="ClientApp\src\app\labelsetting\**" />
    <EmbeddedResource Remove="ClientApp\src\app\locations\**" />
    <EmbeddedResource Remove="ClientApp\src\app\lookupdata\**" />
    <EmbeddedResource Remove="ClientApp\src\app\markethierarchies\**" />
    <EmbeddedResource Remove="ClientApp\src\app\mytasks\**" />
    <EmbeddedResource Remove="ClientApp\src\app\payments\**" />
    <EmbeddedResource Remove="ClientApp\src\app\pendingauth\**" />
    <EmbeddedResource Remove="ClientApp\src\app\priorities\**" />
    <EmbeddedResource Remove="ClientApp\src\app\prodhierarchies\**" />
    <EmbeddedResource Remove="ClientApp\src\app\products\**" />
    <EmbeddedResource Remove="ClientApp\src\app\projects\**" />
    <EmbeddedResource Remove="ClientApp\src\app\purchaseorders\**" />
    <EmbeddedResource Remove="ClientApp\src\app\purchaserequisitions\**" />
    <EmbeddedResource Remove="ClientApp\src\app\ramadancalendar\**" />
    <EmbeddedResource Remove="ClientApp\src\app\reports\**" />
    <EmbeddedResource Remove="ClientApp\src\app\salesofficers\**" />
    <EmbeddedResource Remove="ClientApp\src\app\salesorders\**" />
    <EmbeddedResource Remove="ClientApp\src\app\salespoints\**" />
    <EmbeddedResource Remove="ClientApp\src\app\salespromotions\**" />
    <None Remove="ClientApp\.angular\**" />
    <None Remove="ClientApp\src\app\advances\**" />
    <None Remove="ClientApp\src\app\aitvatrates\**" />
    <None Remove="ClientApp\src\app\archivepoinvs\**" />
    <None Remove="ClientApp\src\app\atntrans\**" />
    <None Remove="ClientApp\src\app\authentications\**" />
    <None Remove="ClientApp\src\app\authorizations\**" />
    <None Remove="ClientApp\src\app\bankbranches\**" />
    <None Remove="ClientApp\src\app\brands\**" />
    <None Remove="ClientApp\src\app\cashpurchase\**" />
    <None Remove="ClientApp\src\app\changemytheme\**" />
    <None Remove="ClientApp\src\app\changepwd\**" />
    <None Remove="ClientApp\src\app\channelhierarchies\**" />
    <None Remove="ClientApp\src\app\chartofaccounts\**" />
    <None Remove="ClientApp\src\app\clients\**" />
    <None Remove="ClientApp\src\app\customercredit\**" />
    <None Remove="ClientApp\src\app\customers\**" />
    <None Remove="ClientApp\src\app\customertrans\**" />
    <None Remove="ClientApp\src\app\dashboard\**" />
    <None Remove="ClientApp\src\app\deactivations\**" />
    <None Remove="ClientApp\src\app\employees\**" />
    <None Remove="ClientApp\src\app\extnlproducts\**" />
    <None Remove="ClientApp\src\app\faitems\**" />
    <None Remove="ClientApp\src\app\faprocess\**" />
    <None Remove="ClientApp\src\app\fatrans\**" />
    <None Remove="ClientApp\src\app\glcodes\**" />
    <None Remove="ClientApp\src\app\gltrans\**" />
    <None Remove="ClientApp\src\app\glvouchers\**" />
    <None Remove="ClientApp\src\app\groups\**" />
    <None Remove="ClientApp\src\app\holidaycalendar\**" />
    <None Remove="ClientApp\src\app\invoices\**" />
    <None Remove="ClientApp\src\app\ipmacaddresses\**" />
    <None Remove="ClientApp\src\app\labelsetting\**" />
    <None Remove="ClientApp\src\app\locations\**" />
    <None Remove="ClientApp\src\app\lookupdata\**" />
    <None Remove="ClientApp\src\app\markethierarchies\**" />
    <None Remove="ClientApp\src\app\mytasks\**" />
    <None Remove="ClientApp\src\app\payments\**" />
    <None Remove="ClientApp\src\app\pendingauth\**" />
    <None Remove="ClientApp\src\app\priorities\**" />
    <None Remove="ClientApp\src\app\prodhierarchies\**" />
    <None Remove="ClientApp\src\app\products\**" />
    <None Remove="ClientApp\src\app\projects\**" />
    <None Remove="ClientApp\src\app\purchaseorders\**" />
    <None Remove="ClientApp\src\app\purchaserequisitions\**" />
    <None Remove="ClientApp\src\app\ramadancalendar\**" />
    <None Remove="ClientApp\src\app\reports\**" />
    <None Remove="ClientApp\src\app\salesofficers\**" />
    <None Remove="ClientApp\src\app\salesorders\**" />
    <None Remove="ClientApp\src\app\salespoints\**" />
    <None Remove="ClientApp\src\app\salespromotions\**" />
    <None Remove="ClientApp\src\assets\scandoxs\**" />
    <TypeScriptCompile Remove="ClientApp\.angular\**" />
    <TypeScriptCompile Remove="ClientApp\node_modules\**" />
    <TypeScriptCompile Remove="ClientApp\src\app\advances\**" />
    <TypeScriptCompile Remove="ClientApp\src\app\aitvatrates\**" />
    <TypeScriptCompile Remove="ClientApp\src\app\archivepoinvs\**" />
    <TypeScriptCompile Remove="ClientApp\src\app\atntrans\**" />
    <TypeScriptCompile Remove="ClientApp\src\app\authentications\**" />
    <TypeScriptCompile Remove="ClientApp\src\app\authorizations\**" />
    <TypeScriptCompile Remove="ClientApp\src\app\bankbranches\**" />
    <TypeScriptCompile Remove="ClientApp\src\app\brands\**" />
    <TypeScriptCompile Remove="ClientApp\src\app\cashpurchase\**" />
    <TypeScriptCompile Remove="ClientApp\src\app\changemytheme\**" />
    <TypeScriptCompile Remove="ClientApp\src\app\changepwd\**" />
    <TypeScriptCompile Remove="ClientApp\src\app\channelhierarchies\**" />
    <TypeScriptCompile Remove="ClientApp\src\app\chartofaccounts\**" />
    <TypeScriptCompile Remove="ClientApp\src\app\clients\**" />
    <TypeScriptCompile Remove="ClientApp\src\app\customercredit\**" />
    <TypeScriptCompile Remove="ClientApp\src\app\customers\**" />
    <TypeScriptCompile Remove="ClientApp\src\app\customertrans\**" />
    <TypeScriptCompile Remove="ClientApp\src\app\dashboard\**" />
    <TypeScriptCompile Remove="ClientApp\src\app\deactivations\**" />
    <TypeScriptCompile Remove="ClientApp\src\app\employees\**" />
    <TypeScriptCompile Remove="ClientApp\src\app\extnlproducts\**" />
    <TypeScriptCompile Remove="ClientApp\src\app\faitems\**" />
    <TypeScriptCompile Remove="ClientApp\src\app\faprocess\**" />
    <TypeScriptCompile Remove="ClientApp\src\app\fatrans\**" />
    <TypeScriptCompile Remove="ClientApp\src\app\glcodes\**" />
    <TypeScriptCompile Remove="ClientApp\src\app\gltrans\**" />
    <TypeScriptCompile Remove="ClientApp\src\app\glvouchers\**" />
    <TypeScriptCompile Remove="ClientApp\src\app\groups\**" />
    <TypeScriptCompile Remove="ClientApp\src\app\holidaycalendar\**" />
    <TypeScriptCompile Remove="ClientApp\src\app\invoices\**" />
    <TypeScriptCompile Remove="ClientApp\src\app\ipmacaddresses\**" />
    <TypeScriptCompile Remove="ClientApp\src\app\labelsetting\**" />
    <TypeScriptCompile Remove="ClientApp\src\app\locations\**" />
    <TypeScriptCompile Remove="ClientApp\src\app\lookupdata\**" />
    <TypeScriptCompile Remove="ClientApp\src\app\markethierarchies\**" />
    <TypeScriptCompile Remove="ClientApp\src\app\mytasks\**" />
    <TypeScriptCompile Remove="ClientApp\src\app\payments\**" />
    <TypeScriptCompile Remove="ClientApp\src\app\pendingauth\**" />
    <TypeScriptCompile Remove="ClientApp\src\app\priorities\**" />
    <TypeScriptCompile Remove="ClientApp\src\app\prodhierarchies\**" />
    <TypeScriptCompile Remove="ClientApp\src\app\products\**" />
    <TypeScriptCompile Remove="ClientApp\src\app\projects\**" />
    <TypeScriptCompile Remove="ClientApp\src\app\purchaseorders\**" />
    <TypeScriptCompile Remove="ClientApp\src\app\purchaserequisitions\**" />
    <TypeScriptCompile Remove="ClientApp\src\app\ramadancalendar\**" />
    <TypeScriptCompile Remove="ClientApp\src\app\reports\**" />
    <TypeScriptCompile Remove="ClientApp\src\app\salesofficers\**" />
    <TypeScriptCompile Remove="ClientApp\src\app\salesorders\**" />
    <TypeScriptCompile Remove="ClientApp\src\app\salespoints\**" />
    <TypeScriptCompile Remove="ClientApp\src\app\salespromotions\**" />
    <TypeScriptCompile Remove="ClientApp\src\assets\scandoxs\**" />
  </ItemGroup>

  <ItemGroup>
    <Content Remove="ClientApp\.eslintrc.json" />
    <Content Remove="ClientApp\angular.json" />
    <Content Remove="ClientApp\src\.eslintrc.json" />
  </ItemGroup>

  <ItemGroup>
    <None Remove="ClientApp\src\app\components\internetstatus\internetstatus.component.ts" />
  </ItemGroup>

  <ItemGroup>
    <TypeScriptCompile Remove="ClientApp\src\app\app.config.service.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\app.configuration.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\components\customerpicker\customercontrol.component.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\components\customerpicker\customersearch.component.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\components\invpodetail\invpodetail.component.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\components\models\app.config.model.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\components\skupicker\skucontrol.component.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\components\skupicker\skusearch.component.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\components\skupicker\skuspicker.component.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\components\skupicker\skusstockpicker.component.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\skuparameters\skuprice\skuprice.component.spec.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\skuparameters\skuprice\skuprice.component.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\components\employeepicker\employeecontrol.component.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\components\employeepicker\employeesearch.component.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\components\faitemserial\faitemserial.component.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\components\glpicker\glcontrol.component.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\components\glpicker\glcontrolsearch.component.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\components\glpicker\glpicker.component.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\components\models\contex.menu.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\components\models\employee.model.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\components\models\gl.model.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\components\models\holiday.event.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\components\models\kendoutils.service.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\components\models\product.model.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\components\models\range.model.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\components\pendingbillspicker\pendingp2pbillpicker.component.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\components\productpicker\productcontrol.component.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\components\productpicker\productsearch.component.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\components\productpicker\productspicker.component.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\components\range\rangecontrol.component.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\components\reportsaver\reportsaver.component.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\components\taskstatusdetail\editsubtasktime.component.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\logout\logoutChild.component.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\skuparameters\skutaxcomm\skutaxcomm.component.spec.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\skuparameters\skutaxcomm\skutaxcomm.component.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\stocktrans\sales\initstocktransales.component.spec.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\stocktrans\sales\initstocktransales.component.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\stocktrans\sales\initstocktranssales.component.spec.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\stocktrans\sales\initstocktranssales.component.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\updatevatchallan\lookupdata.component.spec.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\updatevatchallan\lookupdata.component.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\stocktrans\fa\initstocktranfa.component.spec.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\stocktrans\fa\initstocktranfa.component.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\stocktrans\fa\initstocktransfa.component.spec.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\stocktrans\fa\initstocktransfa.component.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\stocktrans\goodsconsmpnp2p.component.spec.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\stocktrans\goodsconsmpnp2p.component.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\stocktrans\goodsconsmpnsp2p-routing.module.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\stocktrans\goodsconsmpnsp2p.component.spec.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\stocktrans\goodsconsmpnsp2p.component.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\stocktrans\goodsconsmpnsp2p.module.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\stocktrans\goodsdamagesp2p-routing.module.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\stocktrans\goodsdamagesp2p.module.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\stocktrans\goodsreceives-routing.module.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\stocktrans\goodsreceives.module.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\stocktrans\goodstransfers-routing.module.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\stocktrans\goodstransfers.module.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\stocktrans\p2p\initstocktranp2p.component.spec.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\stocktrans\p2p\initstocktranp2p.component.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\stocktrans\p2p\initstocktransp2p.component.spec.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\stocktrans\p2p\initstocktransp2p.component.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\stocktrans\stocktranp2p.component.spec.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\stocktrans\stocktranp2p.component.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\stocktrans\stocktransp2p-routing.module.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\stocktrans\stocktransp2p.component.spec.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\stocktrans\stocktransp2p.component.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\stocktrans\stocktransp2p.module.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\workorders\workorderp2p.component.spec.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\workorders\workorderp2p.component.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\workorders\workorderp2pitem.component.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\workorders\workorders-routing.module.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\workorders\workorders.module.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\workorders\workordersp2p.component.spec.ts" />
    <TypeScriptCompile Remove="ClientApp\src\app\workorders\workordersp2p.component.ts" />
    <TypeScriptCompile Remove="ClientApp\src\providers\authmodule\authmodule.service.ts" />
    <TypeScriptCompile Remove="ClientApp\src\providers\base\abstractbase.ts" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="ClientApp\src\assets\images\" />
    <Folder Include="ClientApp\src\assets\icons\" />
    <Folder Include="ClientApp\src\assets\doxs\" />
  </ItemGroup>

  <ItemGroup>
    <TypeScriptCompile Include="ClientApp\src\app\components\alert\alert.service.ts">
      <SubType>Code</SubType>
    </TypeScriptCompile>
    <TypeScriptCompile Include="ClientApp\src\app\components\alert\alert.model.ts">
      <SubType>Code</SubType>
    </TypeScriptCompile>
    <TypeScriptCompile Include="ClientApp\src\app\components\alert\alert.component.ts" />
    <TypeScriptCompile Include="ClientApp\src\app\components\menu\menuitem.component.ts">
      <SubType>Code</SubType>
    </TypeScriptCompile>
    <TypeScriptCompile Include="ClientApp\src\app\components\menu\menu.component.ts">
      <SubType>Code</SubType>
    </TypeScriptCompile>
    <TypeScriptCompile Include="ClientApp\src\app\components\domhandler.ts" />
  </ItemGroup>

  <Target Name="DebugEnsureNodeEnv" BeforeTargets="Build" Condition=" '$(Configuration)' == 'Debug' And !Exists('$(SpaRoot)node_modules') ">
    <!-- Ensure Node.js is installed -->
    <Exec Command="node --version" ContinueOnError="true">
      <Output TaskParameter="ExitCode" PropertyName="ErrorCode" />
    </Exec>
    <Error Condition="'$(ErrorCode)' != '0'" Text="Node.js is required to build and run this project. To continue, please install Node.js from https://nodejs.org/, and then restart your command prompt or IDE." />
    <Message Importance="high" Text="Restoring dependencies using 'npm'. This may take several minutes..." />
    <Exec WorkingDirectory="$(SpaRoot)" Command="npm install" />
  </Target>

  <Target Name="PublishRunWebpack" AfterTargets="ComputeFilesToPublish">
    <!-- As part of publishing, ensure the JS resources are freshly built in production mode -->
    <Exec WorkingDirectory="$(SpaRoot)" Command="npm install" />
    <Exec WorkingDirectory="$(SpaRoot)" Command="npm run build -- --prod" />
    <Exec WorkingDirectory="$(SpaRoot)" Command="npm run build:ssr -- --prod" Condition=" '$(BuildServerSideRenderer)' == 'true' " />

    <!-- Include the newly-built files in the publish output -->
    <ItemGroup>
      <DistFiles Include="$(SpaRoot)dist\**; $(SpaRoot)dist-server\**" />
      <DistFiles Include="$(SpaRoot)node_modules\**" Condition="'$(BuildServerSideRenderer)' == 'true'" />
      <ResolvedFileToPublish Include="@(DistFiles->'%(FullPath)')" Exclude="@(ResolvedFileToPublish)">
        <RelativePath>%(DistFiles.Identity)</RelativePath>
        <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
        <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      </ResolvedFileToPublish>
    </ItemGroup>
  </Target>

  <PropertyGroup Label="Globals">
    <SccProjectName></SccProjectName>
    <SccProvider></SccProvider>
    <SccAuxPath></SccAuxPath>
    <SccLocalPath></SccLocalPath>
    <TypeScriptJSXEmit>none</TypeScriptJSXEmit>
    <TypeScriptModuleKind>none</TypeScriptModuleKind>
  </PropertyGroup>

  <PropertyGroup Label="Configuration" Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
    <TypeScriptTarget>ESNext</TypeScriptTarget>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)' == 'Debug'">
    <TypeScriptTarget>ESNext</TypeScriptTarget>
    <TypeScriptJSXEmit>React</TypeScriptJSXEmit>
    <TypeScriptModuleKind>AMD</TypeScriptModuleKind>
    <TypeScriptCompileOnSaveEnabled>False</TypeScriptCompileOnSaveEnabled>
    <TypeScriptNoImplicitAny>False</TypeScriptNoImplicitAny>
    <TypeScriptRemoveComments>False</TypeScriptRemoveComments>
    <TypeScriptOutFile />
    <TypeScriptOutDir />
    <TypeScriptGeneratesDeclarations>False</TypeScriptGeneratesDeclarations>
    <TypeScriptExperimentalDecorators>True</TypeScriptExperimentalDecorators>
    <TypeScriptEmitDecoratorMetadata>True</TypeScriptEmitDecoratorMetadata>
    <TypeScriptNoEmitOnError>True</TypeScriptNoEmitOnError>
    <TypeScriptSourceMap>False</TypeScriptSourceMap>
    <TypeScriptMapRoot />
    <TypeScriptSourceRoot />
  </PropertyGroup>

  <ProjectExtensions><VisualStudio><UserProperties clientapp_4tsconfig_1json__JsonSchema="https://json.schemastore.org/tsconfig.json" /></VisualStudio></ProjectExtensions>

</Project>
